Bug 16890 - TestBuilder always generate datetime for dates
Summary: TestBuilder always generate datetime for dates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks: 16891 16907
  Show dependency treegraph
 
Reported: 2016-07-09 14:56 UTC by Jonathan Druart
Modified: 2017-12-07 22:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16890: Make TestBuilder generate date for date columns (and not datetime) (2.32 KB, patch)
2016-07-09 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16890: Make TestBuilder generate date for date columns (and not datetime) (2.37 KB, patch)
2016-07-12 02:43 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[PASSED QA] Bug 16890: Make TestBuilder generate date for date columns (and not datetime) (2.44 KB, patch)
2016-07-12 21:18 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-07-09 14:56:02 UTC
TestBuilder should not generate datetime for date columns.
Comment 1 Jonathan Druart 2016-07-09 14:58:21 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2016-07-12 02:43:50 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-07-12 21:18:24 UTC
Created attachment 53353 [details] [review]
[PASSED QA] Bug 16890: Make TestBuilder generate date for date columns (and not datetime)

TestBuilder should not generate datetime for date columns, but only for
datetime and timestamp columns.

Test plan:
Make sure the change in t/db_dependent/TestBuilder.t are consistent.
Before this patch, 1 of the 2 tests should fail.
After this patch applied, they both should pass.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-07-15 15:00:21 UTC
Pushed to master for Koha 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-08-01 13:39:10 UTC
Pushed in 16.05. Will be in 16.05.02.